### Method

# EBackend Cache contains

since: 3.26

#### Declaration [src]

    gboolean
    e_cache_contains (
      ECache* cache,
      const gchar* uid,
      ECacheDeletedFlag deleted_flag
    )

#### Description [src]

Checkes whether the `cache` contains an object with the given `uid`.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A unique identifier of an object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`deleted_flag`

  Type: `ECacheDeletedFlag`

  One of `ECacheDeletedFlag` enum.

#### Return value

Type: `gboolean`

Whether the object had been found.